Install and configure "Mono" to run EwE stock assessment algorithms

Nov 16, 2015 01:47 PM - Gianpaolo Coro

Status: Closed Start date: Nov 16, 2015

Priority: High Due date:  

Assignee: Daniele Pavia % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Ecopath with Ecosim   

Infrastructure: Development   

Description

An installation of Mono

http://www.mono-project.com/

is required to run Ecopath with Ecosim algorithms on the Statistical Manager.

CNR, helped by IRD, will provide test algorithms.

A test installation is required on the following machine:

statistical-manager.d.d4science.org

with user gcube

Related issues:

Related to D4Science Infrastructure - Task #1410: Bakup of statistical-manage... Closed Nov 18, 2015

Related to D4Science Infrastructure - Task #2173: Report the installation ste... Closed Feb 08, 2016

History

#3 - Nov 16, 2015 02:40 PM - Paolo Fabriani

- Assignee changed from Paolo Fabriani to Daniele Pavia

#4 - Nov 16, 2015 04:42 PM - Daniele Pavia

- % Done changed from 0 to 50

#5 - Nov 16, 2015 05:38 PM - Gianpaolo Coro

Could you please check that the Mono installation is compatible with .NET Framework 4.0 Full Profile (not Client profile). See 

http://www.mono-project.com/docs/about-mono/compatibility/ ?

#6 - Nov 18, 2015 12:29 PM - Gianpaolo Coro

- Related to Task #1410: Bakup of statistical-manager.d.d4science.org is required added

#7 - Nov 18, 2015 03:34 PM - Daniele Pavia

Tested EwECmd.exe with mono versions 2.10.8.1 and 4.0.4.1-1. Doesn't work. 

Both attempts ended with:

CLog.Write() Exception: Could not load file or assembly 'System.DirectoryServices.AccountManagement,

Looks like the System.DirectoryServices.AccountManagement Namespace is related to active Directory and will not be ported to mono Linux as it's

Windows-specific. 

#8 - Nov 18, 2015 05:02 PM - Jeroen Steenbeek

Daniele Pavia wrote:

Tested EwECmd.exe with mono versions 2.10.8.1 and 4.0.4.1-1. Doesn't work. 

Both attempts ended with:

CLog.Write() Exception: Could not load file or assembly 'System.DirectoryServices.AccountManagement,

Looks like the System.DirectoryServices.AccountManagement Namespace is related to active Directory and will not be ported to mono Linux as

it's Windows-specific.
 Yes, you are totally right. I will try to rip that dependency out of the EwE system. It has entered the code after the last Mono runs.

Jeroen

#9 - Nov 19, 2015 09:45 AM - Jeroen Steenbeek

A new EwECmd exe is available in my workspace. I removed the offending references without any problems, and as far as I can test on my Windows

system, all non-CLR compliant references are gone. 

I cannot remove the reference to Microsoft.VisualBasic which should not be a problem (see 

http://www.mono-project.com/docs/about-mono/languages/visualbasic/); we had no problems running EwE on Mono with this in the past.

#10 - Nov 19, 2015 03:19 PM - Daniele Pavia

- Status changed from New to Closed

- % Done changed from 50 to 100

Thanks Jeroen,

deployed the new exe and succesfully tested it on statistical-manager.d.d4science.org with mono 2. 

out.txt contains:

Ecopath launched

Ecopath model Georgia Strait loaded

Ecopath model balanced

Mean TLc:3.254874

Let me know if you need anythong else.

#11 - Nov 19, 2015 03:26 PM - Gianpaolo Coro

Next step in this activity will be to create a connector between the program provided by Jeroen and the BlueBRIDGE computational platform (gCube

Statistical Manager). Tickets will be opened on this.

#12 - Nov 23, 2015 05:15 PM - Jeroen Steenbeek

Perfect, thanks! Glad to hear it works.

#14 - Feb 08, 2016 03:10 PM - Gianpaolo Coro

- Related to Task #2173: Report the installation steps for Mono added
